/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* cormorant-garamond-300 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Cormorant Garamond';
    font-style: normal;
    font-weight: 300;
    src: url('./fonts/cormorant-garamond-v19-latin-300.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
  
/* cormorant-garamond-regular - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Cormorant Garamond';
    font-style: normal;
    font-weight: 400;
    src: url('./fonts/cormorant-garamond-v19-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
  
/* cormorant-garamond-500 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Cormorant Garamond';
    font-style: normal;
    font-weight: 500;
    src: url('./fonts/cormorant-garamond-v19-latin-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
  
/* cormorant-garamond-600 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Cormorant Garamond';
    font-style: normal;
    font-weight: 600;
    src: url('./fonts/cormorant-garamond-v19-latin-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
  
/* cormorant-garamond-700 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Cormorant Garamond';
    font-style: normal;
    font-weight: 700;
    src: url('./fonts/cormorant-garamond-v19-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
  
/* comfortaa-300 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Comfortaa';
    font-style: normal;
    font-weight: 300;
    src: url('./fonts/comfortaa-v45-latin-300.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
  
/* comfortaa-regular - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Comfortaa';
    font-style: normal;
    font-weight: 400;
    src: url('./fonts/comfortaa-v45-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
  
/* comfortaa-500 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Comfortaa';
    font-style: normal;
    font-weight: 500;
    src: url('./fonts/comfortaa-v45-latin-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
  
/* comfortaa-600 - latin */
@font-face {
	font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Comfortaa';
    font-style: normal;
    font-weight: 600;
    src: url('./fonts/comfortaa-v45-latin-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
  
/* comfortaa-700 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Comfortaa';
    font-style: normal;
    font-weight: 700;
    src: url('./fonts/comfortaa-v45-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
  

/* VAR */
:root{
	--font-headline: "Cormorant Garamond", system-ui, sans-serif;
	--font-body: "Comfortaa", system-ui, sans-serif;
	--transition: all 0.33s ease-in-out;
	--underline-weight: 92.5%;
    --transition: all 0.3s ease-in-out;
    --white: #fff;
    --black: #000;
    --max-content: 1380px;
}

/* HTML */
html {
    scroll-behavior: smooth;
    scroll-padding-top: 200px;
}

/* BODY */
body{
    position: relative;
    overflow-x: hidden;
	font-variant: lining-nums;
}

/* FOCUS */
:focus {
    outline: 2px solid var(--contrast);
}

/* SELECTION */
::selection {
    background-color: var(--contrast);
    color: var(--base);
}

/* STRONG */
b,
strong {
    font-weight: 700;
}

/* LISTS */
ul {
    margin-left: 1em;
}
ol {
    margin-left: 1.5em;
}
.gb-container ul li {
    margin-bottom: 5px;
}
.gb-container ul li::marker {
    color: var(--contrast);
}
.gb-accordion .gb-container p:last-child,
.gb-accordion .gb-container ul:last-child {
    margin-bottom: 0;
}


/* LINKS */
.main-navigation a,
.container p a,
a.serviceContainer .gspb-buttonbox-title,
.top-bar a,
.customFooterContainer a,
.forminator-checkbox-label a {
    display: inline;
    text-decoration: none;
    background-image: linear-gradient(
        180deg,
        transparent var(--underline-weight),
        currentColor 0
    );
    background-size: 0 100%;
    background-position: center;
    font-weight: 700;
    background-repeat: no-repeat;
    transition: var(--transition) !important;
}
.site-footer a,
.main-navigation a {
    --underline-weight: 95%;
    display: inline;
    text-decoration: none;
    font-weight: 500;
    background-size: 0 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-image: linear-gradient(
        180deg,
        transparent var(--underline-weight),
        currentColor 0
    );
    transition: var(--transition) !important;
}
.site-footer a:hover,
.site-footer a:focus{
    color: var(--accent) !important;
}
.main-navigation a {
	--underline-weight: 92.5%;
	margin: 0 15px;
}
.container a {
    text-decoration: none;
}
.main-navigation ul li:last-child a {
    margin-right: 0;
}
.main-navigation .sub-menu a {
    display: inline;
}
.main-navigation a:hover,
.main-navigation a:focus,
.container a:hover,
.container a:focus,
.site-footer a:hover,
.site-footer a:focus,
.top-bar a:hover,
.top-bar a:focus,
.customFooterContainer a:hover,
.customFooterContainer a:focus,
.home .current-menu-item.menu-item-object-page > a,
.forminator-checkbox-label a:hover,
.forminator-checkbox-label a:focus {
    background-size: 100% 100%;
}
.main-navigation a:hover,
.main-navigation a:focus,
.customFooterContainer .current-menu-item a,
.site-footer a:hover,
.site-footer a:focus {
    background-size: 100% 100% !important;
}

.home .current-menu-item > a,
.current-menu-item > a {
    background-size: 0 100%;
}
.site-logo a,
a.borlabs-cookie-preference,
a.gb-button,
a.button,
.gb-block-image a,
.post-image a,
a.gb-container-link,
a.imagelink,
a.gspb-buttonbox,
.arrowDownContainer a {
    background-image: none;
}
.container a.gb-button {
    display: inline-block;
}
.main-navigation .main-nav ul li[class*="current-menu-"] > a {
    color: var(--contrast);
}
.main-navigation
    .main-nav
    ul
    li[class*="current-menu-"].menu-item-object-page
    > a,
    
.main-navigation .main-nav ul li[class*="current-menu-"] > a:hover,
.main-navigation .main-nav ul li[class*="current-menu-"] > a:focus {
    color: var(--black);
	background-size: 100% 100%;
}
.site-logo a {
    display: block;
}

/* SITE HEADER */
.site-header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 999;
	border-bottom: 2px solid var(--red);
}
.inside-header {
    position: relative;
	padding-top: 20px;
	padding-bottom: 20px;
}
.site-header .site-logo{
	position: absolute;
	top: 0;
	border-radius: 100%;
	border: 2px solid var(--red);
}

/* CART */
.main-navigation .menu-bar-item > a.cart-contents{
	padding: 0;
	margin-left: 30px;
	margin-right: 0;
}
.woocommerce ul.cart_list li a,
.woocommerce ul.product_list_widget li a{
    font-size: 16px;
    background-image: none !important;
    margin-left: 0 !important;
}
.wc-gzd-cart-info{
    font-size: 12px;
    text-transform: none;
    margin-bottom: 0 !important;
}
.woocommerce ul.cart_list li img{
    width: 60px;
}
.woocommerce ul.cart_list li a.remove_from_cart_button{
    margin-right: 0;
}
#wc-mini-cart .total{
    margin: 10px 0 !important;
    padding: 10px !important;
    text-transform: none !important;
}
#wc-mini-cart .total a{
    font-size: 14px;
    color: var(--black) !important;
    margin: 0 !important;
    text-transform: none !important;
}
.woocommerce.widget_shopping_cart .woocommerce-mini-cart__buttons a:first-child{
    margin-right: 5px !important;
}
.woocommerce.widget_shopping_cart .woocommerce-mini-cart__buttons a{
    width: auto !important;
    border-radius: 15px !important;
}
#wc-mini-cart ul.woocommerce-mini-cart{
    margin-bottom: 20px !important;
}

/* ARCHIVE PAGE */
.archive #page{
    max-width: unset !important;
} 
.archive #page .site-content{
    padding: 0 !important;
}
.archive #page #wc-column-container{
    padding: 0px 0 100px 0;
    background-color: var(--beige-light);
}
.archive #page #wc-column-container > *{
    max-width: var(--max-content);
    margin: 0 auto;
    padding: 0 40px;
}

/* ACCOUNT */
.woocommerce-Addresses h2,
.woocommerce .addresses h2{
    font-size: 32px;
    margin-bottom: 0;
}
.woocommerce .addresses h2{
    margin-bottom: 30px;
}
.woocommerce-account .addresses .title .edit{
    float: none;
    text-align: left;
    margin-bottom: 15px;
    display: inline-block;
}
.woocommerce form p.form-row{
    margin-bottom: 15px;
}
.woocommerce form .form-row input.input-text,
.woocommerce form .form-row textarea,
.dhl-preferred-service-content input{
    border-bottom: 2px solid var(--contrast);
    padding: 10px 0;
}
.woocommerce-MyAccount-navigation-link--downloads{
    display: none;
}
.woocommerce-orders-table__cell-order-actions .woocommerce-button.button{
    margin-right: 15px !important;
    margin-bottom: 15px !important;
}
.woocommerce-orders-table__cell-order-actions > .woocommerce-button.button:last-child{
    margin-bottom: 0 !important;
}

/* CART */
#add_payment_method table.cart img,
.woocommerce-cart table.cart img,
.woocommerce-checkout table.cart img{
    width: 150px;
}
.woocommerce-error a{
    color: var(--white) !important;
}

/* MOBILE MENU */
.main-navigation button.menu-toggle {
    background-color: transparent !important;
    color: var(--contrast);
    padding: 0px !important;
    line-height: 0;
    border-radius: 100%;
}
.menu-toggle .gp-icon svg {
    top: 0;
    font-size: 22px;
}

/* SLIDEOUT MENU */
.main-navigation.slideout-navigation {
    background: var(--white);
}

/* SITE OFFSET */
.site {
	margin-top: 80px;
}

/* HEADLINE QUOTES */
.quoteHeadline{
	position: relative;
	z-index: 1;
}
.quoteHeadline::after{
	content: url("./images/quote.svg");
	position: absolute;
	top: -30px;
	right: 0;
	width: 80px;
	height: 80px;
	opacity: 0.33;
	z-index: -1;
}

/* HERO CONTAINER CARDS */
a.heroCardContainer{
	color: var(--contrast);
}
a.heroCardContainer:hover,
a.heroCardContainer:focus{
	color: var(--accent);
    background-color: var(--contrast);
}

/* WOOCOMMERCE LIST */
.wc-gzd-rating-authenticity-status,
.wc-gzd-review-authenticity-status {
    display: none;
}
.woocommerce ul.products li.product .woocommerce-LoopProduct-link > :not(:first-child){
    margin-top: 0 !important;
}
.woocommerce ul.products li.product .woocommerce-LoopProduct-link > .star-rating{
    margin-top: 15px !important;
    margin-bottom: 15px !important;
}
.woocommerce ul.products li.product .price{
    
}
.woocommerce ul.products li.product .inside-wc-product-image{
    display: block;
    margin-bottom: 30px;
}
.woocommerce ul.products li.product .button{
    font-size: 22px;
    border-radius: 15px;
    transition: var(--transition);
    padding: 15px;
    line-height: 1.2;
    margin-top: auto !important;
    position: relative;
    z-index: 3;
}
.woocommerce ul.products li.product .star-rating {
    font-size: 24px;
}
.woocommerce .star-rating span::before{
    color: var(--beige) !important;
}
.woocommerce ul.products li.product .price{
    font-size: 24px !important;
}
.product p.wc-gzd-additional-info{
    margin: 0 !important;
}
.woocommerce ul.products li.product .woocommerce-LoopProduct-link{
    margin-bottom: 0 !important;
}
.product p.wc-gzd-additional-info:last-of-type{
    margin-bottom: 30px !important;
}
.product .product_meta p.wc-gzd-additional-info:last-of-type{
    margin-bottom: 0 !important;
}

/* WOO BUTTONS */
.woocommerce #respond input#submit,
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button,
.wc-block-components-button,
.woocommerce .cart .button,
.woocommerce div#respond input#submit,
div.woocommerce button.button,
.woocommerce a.button.woocommerce-button{
    transition: var(--transition);
    border-radius: 15px;
    font-size: 22px;
}
#add_payment_method .wc-proceed-to-checkout a.checkout-button,
.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
.woocommerce-checkout .wc-proceed-to-checkout a.checkout-button{
    transition: var(--transition);
    border-radius: 15px;
    font-size: 26px;
    padding: 20px 25px;
}
div.woocommerce button.button{
    padding: 15px 25px !important;
}
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.loading,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.loading,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.loading,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.loading,
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce #respond input#submit.loading,
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.button.loading,
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce button.button.loading,
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce input.button.loading{
    padding-right: 55px !important;
}
input#coupon_code{
    width: auto !important;
    padding: 15px 20px !important;
    border-radius: 15px;
    margin-right: 10px;
    margin-bottom: 10px;
}

/* FILTER */
.cpb-filter-cats{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 15px;
    margin-bottom: 30px;
}
.cpb-filter-cats button,
.cpb-search-bar button {
    display: flex;
    align-items: center;
    gap: 10px;
    transition: var(--transition);
    border-radius: 15px;
    padding: 15px 20px;
    min-width: 0;
}
.cpb-search-bar button {
    padding: 15px 20px;
}
.cpb-filter-cats .cpb-icon,
.cpb-search-bar .cpb-icon{
    line-height: 0;
}
.cpb-filter-cats .cpb-icon svg {
    width: 42px;
    height: 42px;
}
.cpb-search-bar .cpb-icon svg{
    width: 28px;
    height: 28px;
}
.cpb-search-bar .cpb-label {
    font-size: 22px;
}
.cpb-filter-cats button svg path,
.cpb-search-bar button svg path {
    transition: var(--transition);
    fill: currentColor;
}
.cpb-filter-cats button svg circle{
    transition: var(--transition);
}
.cpb-filter-cats button:hover,
.cpb-filter-cats button:focus,
.cpb-filter-cats button.active,
.cpb-search-bar button:hover,
.cpb-search-bar button:focus,
.cpb-search-bar button.active{
    background-color: var(--contrast);
    color: var(--accent);
}
.cpb-filter-cats button:hover svg circle,
.cpb-filter-cats button:focus svg circle,
.cpb-filter-cats button.active svg circle {
    fill: var(--contrast);
}

/* SEARCH BAR */
.cpb-view-switch{
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    display: none;
}
.cpb-search-bar{
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}
#cpb-sort{
    border-radius: 15px;
    background-color: var(--accent);
    color: var(--contrast);
    padding: 20px 20px;
}
#cpb-search{
    margin-left: auto;
    border-radius: 15px;
    background-color: var(--accent);
    flex-grow: 1;
    color: var(--contrast);
    padding: 20px 20px;
}
.resetIcon{
    fill: none !important;
}
.product-count{
    margin-top: 30px;
}
.product-count span{
    font-weight: 700;
}

/* PRODUCTS LIST */
#wc-column-container .products .product,
.wp-block-woocommerce-product-collection .product{
    padding: 30px !important;
    background-color: var(--white);
    border-radius: 15px;
}
#wc-column-container .products .product img,
.wp-block-woocommerce-product-collection .product img{
    aspect-ratio: 1 / 1;
    max-height: 100%;
    max-width: 100% !important;
    object-fit: contain !important;
}
#wc-column-container .products .product.outofstock,
.wp-block-woocommerce-product-collection .product.outofstock{
    position: relative;
}
#wc-column-container .products .product.outofstock::after,
.wp-block-woocommerce-product-collection .product.outofstock::after{
    content: "Nicht auf Lager";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 15px;
    background-color: var(--white);
    border-radius: 15px;
    color: var(--black);
    font-weight: 600;
    text-transform: uppercase;
    font-size: 22px;
    opacity: 1;
    z-index: 3;
}
#wc-column-container .products .product.outofstock::before,
.wp-block-woocommerce-product-collection .product.outofstock::before{
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    border-radius: 15px;
    background-color: rgba(0, 0, 0, 0.25);
    z-index: 2;
}
.wp-block-woocommerce-product-collection .product{
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
}
.wp-block-woocommerce-product-collection .product h3{
    font-size: 26px !important;
    margin-bottom: 20px !important;
}
.wp-block-woocommerce-product-collection .product h3 a{
    color: var(--contrast);
}
.wp-block-woocommerce-product-collection .wc-block-components-product-image{
    margin-bottom: 30px !important;
    overflow: hidden !important;
}
.wp-block-woocommerce-product-collection .wp-block-woocommerce-product-price{
    margin-bottom: 30px !important;
}
.wp-block-woocommerce-product-collection .wp-block-woocommerce-product-price bdi{
    font-size: 24px !important;
}
.wp-block-woocommerce-product-collection .wp-block-button.wc-block-components-product-button{
    margin-top: auto;
}
.wp-block-woocommerce-product-collection .wp-block-button.wc-block-components-product-button button{
    background-color: var(--accent) !important;
    color: var(--contrast) !important;
    font-size: 22px !important;
    border-radius: 15px !important;
    transition: var(--transition) !important;
    padding: 15px !important;
    line-height: 1.2 !important;
    font-variant: lining-nums;
}
.wp-block-woocommerce-product-collection .wp-block-button.wc-block-components-product-button button:hover,
.wp-block-woocommerce-product-collection .wp-block-button.wc-block-components-product-button button:focus{
    background-color: var(--contrast) !important;
    color: var(--accent) !important;
}
.wp-block-woocommerce-product-collection .wc-block-product-template__responsive.columns-3{
    grid-template-columns: repeat(3, 1fr);
    gap: 40px;
}
.wc-has-gallery img.secondary-image{
    top: 50%;
    transform: translate(-50%, -50%);
    transition: var(--transition);
}
.wc-product-image img:not(.secondary-image){
    transition: var(--transition);
    aspect-ratio: 1 / 1;
    object-fit: contain;
    object-position: center;
    max-width: 400px;
    width: 100% !important;
}
.wc-product-image:hover img:not(.secondary-image){
    opacity: 0;
}
.woocommerce-product-gallery {
    
}
.woocommerce-product-gallery__wrapper {
    
}
.woocommerce-product-gallery__image {
    height: 100%;
}
.woocommerce-product-gallery__image img {
    height: 100% !important;
    object-fit: contain;
}

/* PRODUCT DETAILS */
.product_meta{
    border-top: 1px solid var(--contrast) !important;
}
.wc-gzd-rating-authenticity-status{
    display: none !important;
}
.entry-title{
    margin-bottom: 30px;
}
.woocommerce .quantity{
    margin-right: 10px !important;
    margin-bottom: 10px !important;
}
.woocommerce .quantity input.qty{
    border: 1px solid;
    border-radius: 15px;
    padding: 15px 10px;
    height: unset;
    line-height: 1.5;
}
.wp-block-table th{
    text-align: left;
}
.products.columns-4{
    grid-template-columns: repeat(4,minmax(0,1fr)) !important;
}
.woocommerce #reviews #comments ol.commentlist li div.comment-text{
    margin-left: 0;
}

/* UP SELLS */
.up-sells {
    border-top: 2px solid var(--contrast);
    padding-top: 40px;
}

/* TABS */
.woocommerce div.product .woocommerce-tabs ul.tabs{
    margin-bottom: 0;
}
.woocommerce div.product .woocommerce-tabs ul.tabs > li{
    background-color: var(--accent) !important;
    color: var(--contrast);
    border: none;
    transition: var(--transition);
}
.woocommerce div.product .woocommerce-tabs ul.tabs > li.active{
    background-color: var(--beige-light) !important;
}
.woocommerce div.product .woocommerce-tabs ul.tabs > li:first-child{
    border-top-left-radius: 15px;
}
.woocommerce div.product .woocommerce-tabs ul.tabs > li:last-child{
    border-top-right-radius: 15px;
}
.woocommerce #tab-description,
.woocommerce #tab-reviews{
    background: var(--beige-light);
    padding: 15px 15px;
    border-radius: 15px;
    border-top-left-radius: 0;
}
.stars a{
    background: none !important;
}
#tab-title-additional_information{
    display: none !important;
}

/* CHECKOUT */
#order_review_heading{
    float: unset !important;
    width: 100% !important;
}
#payment .payment_methods > .wc_payment_method > label{
    border-radius: 15px;
}
#add_payment_method #payment ul.payment_methods li,
.woocommerce-cart #payment ul.payment_methods li,
.woocommerce-checkout #payment ul.payment_methods li{
    margin-bottom: 15px !important;
}
.woocommerce table.shop_table{
    border-radius: 15px !important; 
    overflow: hidden !important;
}

/* STRIPE CARDS */
.wc-stripe-card-icons-container{
    display: block;
}
.wc-stripe-card-icons-container img{
    max-height: 50px;
}

/* LIGHTBOX */
.gspb_gallery_grid a,
.gspb_gallery_grid img {
    display: block;
}
.gspb_gallery_grid a {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
}
.gspb_gallery_grid a::after {
    content: "" !important;
    background-image: none !important;
    margin: 0 !important;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--contrast) !important;
    mask-image: none !important;
    opacity: 0;
    transition: var(--transition);
}
.gspb_gallery_grid a:hover::after,
.gspb_gallery_grid a:focus::after {
    opacity: 0.5;
}
.gspb_gallery_grid a img {
    transition: var(--transition);
}
.gspb_gallery_grid a:hover img,
.gspb_gallery_grid a:focus img {
    transform: scale(1.05);
}
  
/* FORMINATOR */
button.forminator-button {
	font-family: var(--font-headline) !important;
	width: 100% !important;
	padding: 20px !important;
	line-height: 1 !important;
	border-radius: 12px !important;
	font-weight: 700 !important;
	font-size: 24px !important;
	transition: var(--transition) !important;
}
button.forminator-button *{
	transition: var(--transition) !important;
}
.forminator-field-textarea .forminator-label,
.forminator-ui.forminator-custom-form[data-design="material"] .forminator-is_active label.forminator-floating--textarea,
.forminator-ui.forminator-custom-form[data-design="material"] .forminator-is_filled label.forminator-floating--textarea{
	padding-top: 44px !important;
}
.forminator-field-textarea textarea.forminator-textarea{
	padding-top: 40px !important;
}
.forminator-field-textarea textarea.forminator-textarea,
.forminator-field-textarea .forminator-textarea--wrap::after{
	border-radius: 12px !important;
}

/* BACK TO TOP */
.generate-back-to-top.generate-back-to-top {
    font-size: 36px;
    bottom: 20px;
    right: 20px;
    height: 48px;
    width: 48px;
    line-height: 0;
    box-shadow: transparent;
    text-shadow: transparent;
    background-size: 0 0;
    border-radius: 100%;
    border: 2px solid var(--accent);
    transition: background-color 0.33s ease-in-out, color 0.33s ease-in-out,
        bottom 0.33s ease-in-out;
}
.generate-back-to-top.generate-back-to-top:hover,
.generate-back-to-top.generate-back-to-top:focus {
    bottom: 25px;
}
.generate-back-to-top.generate-back-to-top .gp-icon {
    display: grid;
    place-items: center;
    height: 100%;
}
.generate-back-to-top.generate-back-to-top .gp-icon svg {
    top: 0;
}

/* FOOTER */
.site-footer .gb-container ul li{
	margin-bottom: 0;
}

/* MAX CONTENT WIDTH */
@media screen and (max-width: 1380px) {
}

/* MAX DESKTOP 2 */
@media screen and (max-width: 1024px) {
      /* NAVIGATION */
    .main-navigation div.main-nav ul li {
        margin: 5px 0;
    }
    .main-navigation div.main-nav ul li a {
		--underline-weight: 95%;
        padding: 5px 0;
        margin: 0 15px;
        display: inline;
        line-height: 1.5em;
    }
    .slideout-navigation .main-nav {
        margin-top: 15px;
    }
    .slideout-overlay button.slideout-exit.slideout-exit {
        margin-top: 0px;
        margin-left: 0px;
        line-height: 1;
        margin-right: 15px;
        top: 15px;
    }
    .slideout-exit .gp-icon svg {
        font-size: 24px;
    }

	/* CART */
	.main-navigation .menu-bar-item > a.cart-contents{
		margin-left: 0px;
		margin-right: 20px;
	}

    /* PARALLAX */
    .gb-container.gb-container {
        background-attachment: unset;
    }

    /* SEARCH BAR */
    .cpb-view-switch{
        width: calc(50% - 7.5px);
    }
    .cpb-view-switch > button, 
    #cpb-sort{
        flex: 1 1 0;
    }
    .products.columns-4{
        grid-template-columns: repeat(2,minmax(0,1fr)) !important;
    }

    /* ACCOUNT */
    .woocommerce-Addresses h2,
    .woocommerce .addresses h2{
        font-size: 26px;
    }

    /* PRODUCT LIST */
    .wp-block-woocommerce-product-collection .wc-block-product-template__responsive.columns-3{
        grid-template-columns: repeat(2, 1fr);
    }

}

/* MAX DESKTOP */
@media screen and (max-width: 1023px) {

}
/* MAX SMALL TABLET */
@media screen and (max-width: 860px) {
    /* SEARCH BAR */
    .cpb-view-switch{
        width: 100%;
    }
}

/* MAX TABLET */
@media screen and (max-width: 768px) {
	/* LOGO */
	.site-header .header-image {
        width: 120px;
    }
	.inside-header {
		padding-top: 10px;
		padding-bottom: 10px;
	}
	/* SITE OFFSET */
	.site {
		margin-top: 70px;
	}
   .archive #page #wc-column-container > *{
        padding: 0 20px;
    }
    .cpb-filter-cats{
        grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    }
    
    /* PRODUCTS LIST */
    #wc-column-container .products .product,
    .wp-block-woocommerce-product-collection .product{
        padding: 20px !important;
    }
    .wp-block-woocommerce-product-collection .product{
        display: block !important;
    }
    .woocommerce div.product .woocommerce-tabs ul.tabs > li:first-child{
        border-top-left-radius: 15px;
        border-top-right-radius: 15px;
    }
    .woocommerce div.product .woocommerce-tabs ul.tabs > li:last-child{
        border-top-right-radius: 0px;
        border-bottom-left-radius: 15px;
        border-bottom-right-radius: 15px;
    }
    .woocommerce #tab-description,
    .woocommerce #tab-reviews{
        border-radius: 15px;
    }
    
    /* ACCOUNT */
    .woocommerce-Addresses h2,
    .woocommerce .addresses h2{
        font-size: 24px;
    }
    .woocommerce .coupon .button{
        float: unset !important;
        width: auto !important;
        font-size: 22px !important;
    }
    
    /* PRODUCT LIST */
    .wp-block-woocommerce-product-collection .wc-block-product-template__responsive.columns-3{
        grid-template-columns: repeat(1, 1fr);
    }

    .woocommerce-product-gallery {
        min-height: 300px;
    }
    .woocommerce-product-gallery__wrapper {
        height: 300px;
    }
}

/* MAX TABLET */
@media screen and (max-width: 767px) {
 
}

/* MAX PHONE */
@media screen and (max-width: 575px) {
	/* LOGO */
	.site-header .header-image {
        width: 100px;
    }
    
    .cpb-view-switch {
        flex-direction: column;
    }
    .products.columns-4{
        grid-template-columns: repeat(1,minmax(0,1fr)) !important;
    }
    #cpb-reset{
        width: 100%;
    }
    .wp-block-table table{
        font-size: 16px;
    }
    .woocommerce table.shop_table td,
    .woocommerce table.shop_table th{
        padding: 20px 5px !important;
    }
}

/* MIN PHONE */
@media screen and (min-width: 576px) {

}

/* MIN TABLET */
@media screen and (min-width: 768px) {
  
}

/* MIN TABLET HEADER */
@media screen and (min-width: 769px) {
	 .main-navigation .main-nav ul li.menu-item a {
        padding: 0 0 2px 0;
    }
}

/* MIN DESKTOP */
@media screen and (min-width: 1024px) {

}

/* MIN DESKTOP */
@media screen and (min-width: 1025px) {
    .stickyFirst > .gb-grid-column:first-child {
        position: sticky;
        top: 80px;
        align-self: flex-start;
    }
     
}

/* MIN CONTENT WIDTH */
@media screen and (min-width: 1380px) {
    
}